Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class AbstractSessionManager.Session

    java.lang.Object
      org.mortbay.jetty.servlet.AbstractSessionManager.Session

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  HashSessionManager.Session

Enclosing class:
  AbstractSessionManager

    public abstract class AbstractSessionManager.Session

extends Object
implements Serializable

Implements `HttpSession` from the `javax.servlet` package.

Author:
  gregw
See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractSessionManager.Session(HttpServletRequest request)`

Method Summary
`protected void` | `access(long time)`
`protected void` | `bindValue(String name, Object value)` If value implements HttpSessionBindingListener, call valueBound()
`Object` | `getAttribute(String name)`
`Enumeration` | `getAttributeNames()`
`protected String` | `getClusterId()`
`protected Cookie` | `getCookie()`
`long` | `getCookieSetTime()`
`long` | `getCreationTime()`
`String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`ServletContext` | `getServletContext()`
`HttpSessionContext` | `getSessionContext()` Deprecated.
`Object` | `getValue(String name)` Deprecated. As of Version 2.2, this method is replaced by `getAttribute(java.lang.String)`
`String[]` | `getValueNames()` Deprecated. As of Version 2.2, this method is replaced by `getAttributeNames()`
`void` | `invalidate()`
`boolean` | `isIdChanged()`
`boolean` | `isNew()`
`protected boolean` | `isValid()`
`protected abstract Map` | `newAttributeMap()`
`void` | `putValue(String name, Object value)` Deprecated. As of Version 2.2, this method is replaced by `setAttribute(java.lang.String, java.lang.Object)`
`void` | `removeAttribute(String name)`
`void` | `removeValue(String name)` Deprecated. As of Version 2.2, this method is replaced by `removeAttribute(java.lang.String)`
`void` | `setAttribute(String name, Object value)`
`protected void` | `setCookie(Cookie cookie)`
`void` | `setIdChanged(boolean changed)`
`void` | `setMaxInactiveInterval(int secs)`
`String` | `toString()`
`protected void` | `unbindValue(String name, Object value)` If value implements HttpSessionBindingListener, call valueUnbound()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractSessionManager.Session

    protected AbstractSessionManager.Session(HttpServletRequest request)

Method Detail

### getAttribute

    public Object getAttribute(String name)

### getAttributeNames

    public Enumeration getAttributeNames()

### getCookieSetTime

    public long getCookieSetTime()

### getCreationTime

    public long getCreationTime()
                         throws IllegalStateException

  Throws:
    `IllegalStateException`

### getId

    public String getId()
                 throws IllegalStateException

  Throws:
    `IllegalStateException`

### getLastAccessedTime

    public long getLastAccessedTime()
                             throws IllegalStateException

  Throws:
    `IllegalStateException`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

### getServletContext

    public ServletContext getServletContext()

### getSessionContext

    public HttpSessionContext getSessionContext()
                                         throws IllegalStateException

  Deprecated.

  Throws:
    `IllegalStateException`

### getValue

    public Object getValue(String name)
                    throws IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `getAttribute(java.lang.String)`

  Throws:
    `IllegalStateException`

### getValueNames

    public String[] getValueNames()
                           throws IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `getAttributeNames()`

  Throws:
    `IllegalStateException`

### invalidate

    public void invalidate()
                    throws IllegalStateException

  Throws:
    `IllegalStateException`

### isIdChanged

    public boolean isIdChanged()

### isNew

    public boolean isNew()
                  throws IllegalStateException

  Throws:
    `IllegalStateException`

### putValue

    public void putValue(String name,
                         Object value)
                  throws IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `setAttribute(java.lang.String, java.lang.Object)`

  Throws:
    `IllegalStateException`

### removeAttribute

    public void removeAttribute(String name)

### removeValue

    public void removeValue(String name)
                     throws IllegalStateException

  Deprecated. As of Version 2.2, this method is replaced by `removeAttribute(java.lang.String)`

  Throws:
    `IllegalStateException`

### setAttribute

    public void setAttribute(String name,
                             Object value)

### setIdChanged

    public void setIdChanged(boolean changed)

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int secs)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### access

    protected void access(long time)

### bindValue

    protected void bindValue(String name,
                             Object value)

  If value implements HttpSessionBindingListener, call valueBound()

### getClusterId

    protected String getClusterId()

### getCookie

    protected Cookie getCookie()

### isValid

    protected boolean isValid()

### newAttributeMap

    protected abstract Map newAttributeMap()

### setCookie

    protected void setCookie(Cookie cookie)

### unbindValue

    protected void unbindValue(String name,
                               Object value)

  If value implements HttpSessionBindingListener, call valueUnbound()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.